<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.edu.whu.boot.apkversion.mapper.ApkVersionMapper">

    <select id="getLatestVersion" resultType="java.lang.String">
        select MAX(version_code) from apkversion
    </select>

    <select id="getApkPathByVersion" parameterType="java.lang.String" resultType="java.lang.String">
        select apkpath from apkversion t
        WHERE t.version_code=#{versionCode}
    </select>

    <select id="getDescriptionByVersion" parameterType="java.lang.String" resultType="java.lang.String">
        select description from apkversion t
        WHERE t.version_code=#{versionCode}
    </select>

</mapper>